Upstream information

CVE-2020-16117 at MITRE

Description

In GNOME evolution-data-server before 3.35.91, a malicious server can crash the mail client with a NULL pointer dereference by sending an invalid (e.g., minimal) CAPABILITY line on a connection attempt. This is related to imapx_free_capability and imapx_connect_to_server.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 5.3
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1174712 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • evolution-data-server-32bit >= 3.34.4-3.3.1
  • evolution-data-server-doc >= 3.26.6-3.3.4
  • libcamel-1_2-60 >= 3.26.6-3.3.4
  • libcamel-1_2-60-32bit >= 3.26.6-3.3.4
  • libcamel-1_2-62-32bit >= 3.34.4-3.3.1
  • libebackend-1_2-10-32bit >= 3.34.4-3.3.1
  • libebook-1_2-19 >= 3.26.6-3.3.4
  • libebook-1_2-19-32bit >= 3.26.6-3.3.4
  • libebook-1_2-20-32bit >= 3.34.4-3.3.1
  • libebook-contacts-1_2-2 >= 3.26.6-3.3.4
  • libebook-contacts-1_2-2-32bit >= 3.26.6-3.3.4
  • libebook-contacts-1_2-3-32bit >= 3.34.4-3.3.1
  • libecal-1_2-19 >= 3.26.6-3.3.4
  • libecal-1_2-19-32bit >= 3.26.6-3.3.4
  • libecal-2_0-1-32bit >= 3.34.4-3.3.1
  • libedata-book-1_2-25 >= 3.26.6-3.3.4
  • libedata-book-1_2-25-32bit >= 3.26.6-3.3.4
  • libedata-book-1_2-26-32bit >= 3.34.4-3.3.1
  • libedata-cal-1_2-28 >= 3.26.6-3.3.4
  • libedata-cal-1_2-28-32bit >= 3.26.6-3.3.4
  • libedata-cal-2_0-1-32bit >= 3.34.4-3.3.1
  • libedataserver-1_2-22 >= 3.26.6-3.3.4
  • libedataserver-1_2-22-32bit >= 3.26.6-3.3.4
  • libedataserver-1_2-24-32bit >= 3.34.4-3.3.1
  • libedataserverui-1_2-1 >= 3.26.6-3.3.4
  • libedataserverui-1_2-1-32bit >= 3.26.6-3.3.4
  • libedataserverui-1_2-2-32bit >= 3.34.4-3.3.1
  • typelib-1_0-EBackend-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-EDataBook-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-EDataCal-2_0 >= 3.34.4-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-946
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-949
SUSE Linux Enterprise Software Development Kit 12 SP5
  • evolution-data-server-devel >= 3.22.7-18.7.1
  • typelib-1_0-EBook-1_2 >= 3.22.7-18.7.1
  • typelib-1_0-EBookContacts-1_2 >= 3.22.7-18.7.1
  • typelib-1_0-EDataServer-1_2 >= 3.22.7-18.7.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-891
SUSE Linux Enterprise Workstation Extension 12 SP5
  • evolution-data-server >= 3.22.7-18.7.1
  • evolution-data-server-32bit >= 3.22.7-18.7.1
  • evolution-data-server-lang >= 3.22.7-18.7.1
  • libcamel-1_2-57 >= 3.20.6-17.3.1
  • libcamel-1_2-59 >= 3.22.7-18.7.1
  • libcamel-1_2-59-32bit >= 3.22.7-18.7.1
  • libebackend-1_2-10 >= 3.22.7-18.7.1
  • libebackend-1_2-10-32bit >= 3.22.7-18.7.1
  • libebook-1_2-16 >= 3.22.7-18.7.1
  • libebook-1_2-16-32bit >= 3.22.7-18.7.1
  • libebook-contacts-1_2-2 >= 3.22.7-18.7.1
  • libebook-contacts-1_2-2-32bit >= 3.22.7-18.7.1
  • libecal-1_2-19 >= 3.22.7-18.7.1
  • libecal-1_2-19-32bit >= 3.22.7-18.7.1
  • libedata-book-1_2-25 >= 3.22.7-18.7.1
  • libedata-book-1_2-25-32bit >= 3.22.7-18.7.1
  • libedata-cal-1_2-28 >= 3.22.7-18.7.1
  • libedata-cal-1_2-28-32bit >= 3.22.7-18.7.1
  • libedataserver-1_2-21 >= 3.20.6-17.3.1
  • libedataserver-1_2-22 >= 3.22.7-18.7.1
  • libedataserver-1_2-22-32bit >= 3.22.7-18.7.1
  • libedataserverui-1_2-1 >= 3.22.7-18.7.1
Patchnames:
SUSE-SLE-WE-12-SP5-2021-885
SUSE-SLE-WE-12-SP5-2021-891
SUSE Linux Enterprise Workstation Extension 15 SP2
  • evolution-data-server >= 3.34.4-3.3.1
  • evolution-data-server-devel >= 3.34.4-3.3.1
  • evolution-data-server-lang >= 3.34.4-3.3.1
  • evolution-ews >= 3.34.4-3.3.1
  • evolution-ews-lang >= 3.34.4-3.3.1
  • libcamel-1_2-62 >= 3.34.4-3.3.1
  • libebackend-1_2-10 >= 3.34.4-3.3.1
  • libebook-1_2-20 >= 3.34.4-3.3.1
  • libebook-contacts-1_2-3 >= 3.34.4-3.3.1
  • libecal-2_0-1 >= 3.34.4-3.3.1
  • libedata-book-1_2-26 >= 3.34.4-3.3.1
  • libedata-cal-2_0-1 >= 3.34.4-3.3.1
  • libedataserver-1_2-24 >= 3.34.4-3.3.1
  • libedataserverui-1_2-2 >= 3.34.4-3.3.1
  • typelib-1_0-Camel-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-EBook-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-EBookContacts-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-ECal-2_0 >= 3.34.4-3.3.1
  • typelib-1_0-EDataServer-1_2 >= 3.34.4-3.3.1
  • typelib-1_0-EDataServerUI-1_2 >= 3.34.4-3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2021-949
openSUSE Leap 15.2
  • evolution-data-server >= 3.34.4-lp152.2.3.1
  • evolution-data-server-32bit >= 3.34.4-lp152.2.3.1
  • evolution-data-server-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • evolution-data-server-debuginfo >= 3.34.4-lp152.2.3.1
  • evolution-data-server-debugsource >= 3.34.4-lp152.2.3.1
  • evolution-data-server-devel >= 3.34.4-lp152.2.3.1
  • evolution-data-server-lang >= 3.34.4-lp152.2.3.1
  • evolution-ews >= 3.34.4-lp152.2.3.1
  • evolution-ews-debuginfo >= 3.34.4-lp152.2.3.1
  • evolution-ews-debugsource >= 3.34.4-lp152.2.3.1
  • evolution-ews-lang >= 3.34.4-lp152.2.3.1
  • libcamel-1_2-62 >= 3.34.4-lp152.2.3.1
  • libcamel-1_2-62-32bit >= 3.34.4-lp152.2.3.1
  • libcamel-1_2-62-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libcamel-1_2-62-debuginfo >= 3.34.4-lp152.2.3.1
  • libebackend-1_2-10 >= 3.34.4-lp152.2.3.1
  • libebackend-1_2-10-32bit >= 3.34.4-lp152.2.3.1
  • libebackend-1_2-10-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libebackend-1_2-10-debuginfo >= 3.34.4-lp152.2.3.1
  • libebook-1_2-20 >= 3.34.4-lp152.2.3.1
  • libebook-1_2-20-32bit >= 3.34.4-lp152.2.3.1
  • libebook-1_2-20-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libebook-1_2-20-debuginfo >= 3.34.4-lp152.2.3.1
  • libebook-contacts-1_2-3 >= 3.34.4-lp152.2.3.1
  • libebook-contacts-1_2-3-32bit >= 3.34.4-lp152.2.3.1
  • libebook-contacts-1_2-3-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libebook-contacts-1_2-3-debuginfo >= 3.34.4-lp152.2.3.1
  • libecal-2_0-1 >= 3.34.4-lp152.2.3.1
  • libecal-2_0-1-32bit >= 3.34.4-lp152.2.3.1
  • libecal-2_0-1-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libecal-2_0-1-debuginfo >= 3.34.4-lp152.2.3.1
  • libedata-book-1_2-26 >= 3.34.4-lp152.2.3.1
  • libedata-book-1_2-26-32bit >= 3.34.4-lp152.2.3.1
  • libedata-book-1_2-26-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libedata-book-1_2-26-debuginfo >= 3.34.4-lp152.2.3.1
  • libedata-cal-2_0-1 >= 3.34.4-lp152.2.3.1
  • libedata-cal-2_0-1-32bit >= 3.34.4-lp152.2.3.1
  • libedata-cal-2_0-1-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libedata-cal-2_0-1-debuginfo >= 3.34.4-lp152.2.3.1
  • libedataserver-1_2-24 >= 3.34.4-lp152.2.3.1
  • libedataserver-1_2-24-32bit >= 3.34.4-lp152.2.3.1
  • libedataserver-1_2-24-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libedataserver-1_2-24-debuginfo >= 3.34.4-lp152.2.3.1
  • libedataserverui-1_2-2 >= 3.34.4-lp152.2.3.1
  • libedataserverui-1_2-2-32bit >= 3.34.4-lp152.2.3.1
  • libedataserverui-1_2-2-32bit-debuginfo >= 3.34.4-lp152.2.3.1
  • libedataserverui-1_2-2-debuginfo >= 3.34.4-lp152.2.3.1
  • typelib-1_0-Camel-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EBackend-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EBook-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EBookContacts-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-ECal-2_0 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EDataBook-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EDataCal-2_0 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EDataServer-1_2 >= 3.34.4-lp152.2.3.1
  • typelib-1_0-EDataServerUI-1_2 >= 3.34.4-lp152.2.3.1
Patchnames:
openSUSE-2021-482


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Server 11 SP4 LTSS evolution-data-server Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 evolution-data-server Released
SUSE Linux Enterprise Workstation Extension 12 evolution-data-server Released
SUSE Linux Enterprise Workstation Extension 15 SP1 evolution-data-server Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 evolution-data-server Released